View Issue Details

IDProjectCategoryView StatusLast Update
0005697Talerdocumentationpublic2019-04-22 18:30
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005697: Polishnig onboard.texi.
DescriptionThe file deployment/doc/onboard.texi has been partially obsoleted by readme.md from gv-maintenance.git. It should be seen whether this file should be simply polished, or entirely disposed.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-04-19 17:49

manager   ~0014304

first cleaning: 42a3311..ddcfb1b

Christian Grothoff

2019-04-20 12:08

manager   ~0014310

I generally believe the onboarding.texi should be kept. It should have a much broader scope than just gv-maintenance.git, which is about system administration. Onboarding is about "everything" a new dev should know (from Git write access to Bugtracking to CI to coding conventions, etc. etc.). Naturally details about system administration might be better kept in the gv-maintenance.git readme.

Marcello Stanisci

2019-04-22 15:58

manager   ~0014327

Okay for all, but 'CI' needs some clarification: this aspect has the sysadmin side (accounting for which users are running which workers, or where in the system some worker outputs some files, etc.) and the user side (like letting the user know where the BB Website is, or what happens after they push their changes, etc.).

We should agree that the first part goes in gv-maintenance.git, and the second goes in onboarding.texi at deployment.git.

Marcello Stanisci

2019-04-22 18:24

manager   ~0014329

In 875fdb95058e0..c42dbea3cda4a2ab, I reviewed and polished the per-user setup environments. Actually, we should also agree about keeping this feature around or not.

Marcello Stanisci

2019-04-22 18:30

manager   ~0014330

Commit 99a3eee..5536720 finishes polishing the current content, and so this can be closed. New sections, like about Git / Bugtracking / Buidlbot for *users* needs to be added.

Issue History

Date Modified Username Field Change
2019-04-19 17:40 Marcello Stanisci New Issue
2019-04-19 17:49 Marcello Stanisci Note Added: 0014304
2019-04-20 12:08 Christian Grothoff Note Added: 0014310
2019-04-22 15:58 Marcello Stanisci Note Added: 0014327
2019-04-22 18:24 Marcello Stanisci Note Added: 0014329
2019-04-22 18:30 Marcello Stanisci Note Added: 0014330
2019-04-22 18:30 Marcello Stanisci Assigned To => Marcello Stanisci
2019-04-22 18:30 Marcello Stanisci Status new => resolved
2019-04-22 18:30 Marcello Stanisci Resolution open => fixed